#ifndef _YSZ_H_
#define _YSZ_H_
#include "common.h"
#include "include.h"

#define PPY_NULL CAMERA_W+60  
//#define ROADWIDTH 19

typedef enum
{
  RDAN_E=0, //右单
  SHUANG_E=1,   //双
  LDAN_E=2,           //左单
  
  
  DUAN_E      //断
}ppy_e;
  

typedef	enum   
{       
	ppy_key_w,      
        ppy_key_s,
        ppy_key_a,
        ppy_key_d,
        ppy_key_g
}ppy_car_e;  //ppy控制命令

typedef enum
{
  ppy_standby=0, //待机模式 ,带无线传图片
  ppy_justRunMyBoy=1,//只跑车
  ppy_machinery=2, //机械性能
  ppy_nrf=4,//无线测试 带速度PID
  ppy_sdhc=8,//存图片,40侦速度
  ppy_can=16,//存图片,40侦速度
   ppy_fangan=32,//存图片,40侦速度
}ppy_model_e;//ppy模式选择
//ppy_model_e ppyModel=ppy_standby;  //待机模式

//extern void ppy_fix7725(u8 * img);
extern void ppy_init(void);
extern void img_extract(u8 * dst,u8 * src,u32 srclen);
extern void  ppy_delay(u16 ms);
extern u8 ppy_img_mid(s16 * mid,u8 * img);
extern u8 ppy_img_mid2(s16 * mid,u8 * img);
extern void ppy_buxian(u8 ppy_buxian,s16 *mid);
extern void ppy_duoji(u8 qianzhan);
extern void ppy_speedcol(u8 qianzhan);
extern void ppy_buxian2(u8 ppy_buxian,s16 *mid);
extern void ppy_duoji2(u8 qianzhan);
extern void ppy_speedcol2(u8 qianzhan);

extern void ppy_duojinrf(u8 qianzhan);
extern void ppy_speedcolnrf(u8 qianzhan);
extern s16 trapezium(s16  x,u8 y);
extern s16 trapezium_l(s16  x,u8 y);
extern s16 trapezium_r(s16  x,u8 y);
u8 panDuan(u8 x);
void buXian(u8 x,u8 i);
void buXian2(u8 x,u8 i);
void Qiu_Mid_XieLv(void);
void Qiu_Mid_XieLvnrf(void);

#endif